function MM_reloadPage(init) {  //reloads the window if Nav4 resized
  if (init==true) with (navigator) {if ((appName=="Netscape")&&(parseInt(appVersion)==4)) {
    document.MM_pgW=innerWidth; document.MM_pgH=innerHeight; onresize=MM_reloadPage; }}
  else if (innerWidth!=document.MM_pgW || innerHeight!=document.MM_pgH) location.reload();
}
MM_reloadPage(true);
function MM_findObj(n, d) { //v4.01
  var p,i,x;  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {
    d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}
  if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
  for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=MM_findObj(n,d.layers[i].document);
  if(!x && d.getElementById) x=d.getElementById(n); return x;
}

function MM_showHideLayers() { //v6.0
  var i,p,v,obj,args=MM_showHideLayers.arguments;
  for (i=0; i<(args.length-2); i+=3) if ((obj=MM_findObj(args[i]))!=null) { v=args[i+2];
    if (obj.style) { obj=obj.style; v=(v=='show')?'block':(v=='hide')?'none':v; }
    obj.display=v; }
}

function MM_openBrWindow(theURL,winName,features) { //v2.0
	window.open(theURL,winName,features);
}

function MM_swapImgRestore() { //v3.0
  var i,x,a=document.MM_sr; for(i=0;a&&i<a.length&&(x=a[i])&&x.oSrc;i++) x.src=x.oSrc;
}

function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
	var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
	if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}
function MM_swapImage() { //v3.0
  var i,j=0,x,a=MM_swapImage.arguments; document.MM_sr=new Array; for(i=0;i<(a.length-2);i+=3)
   if ((x=MM_findObj(a[i]))!=null){document.MM_sr[j++]=x; if(!x.oSrc) x.oSrc=x.src; x.src=a[i+2];}
}

function getCookieVal(offset){
	var endstr=document.cookie.indexOf(";",offset);
	if(endstr==-1){
		endstr = document.cookie.length;
	}
	return unescape(document.cookie.substring(offset,endstr));
}

function getCookie(name){
	var arg=name+"=";
	var alen=arg.length;
	var clen=document.cookie.length;
	var i=0;
	while(i<clen){
		var j=i+alen;
		if(document.cookie.substring(i,j)==arg){
			return getCookieVal(j);
		}
		i=document.cookie.indexOf(" ",i)+1;
		if(i==0) break;
	}
	return null;
}

function setCookie(name,value){
	var argv=setCookie.arguments;
	var argc=setCookie.arguments.length;
	var expires=(2<argc)?argv[2]:null;
	var path=(3<argc)?argv[3]:null;
	var domain=(4<argc)?argv[4]:null;
	var secure=(5<argc)?argv[5]:null;

	document.cookie=name+"="+escape(value)+((expires == null)?" ":(";expires ="+expires.toGMTString()))+((path == null)?"  ":(";path = "+path))+((domain == null)?" ":(";domain =" +domain)) +((secure==true)?";secure":" ");
}

function setHomePage(url){
	if(document.all){
		var iehomepage=document.getElementById("iehomepage");
		iehomepage.style.behavior='url(#default#homepage)';
		iehomepage.setHomePage(url);
	}else{
		if(window.netscape){
			try{
				netscape.security.PrivilegeManager.enablePrivilege("UniversalXPConnect");
			}catch (e){
				alert("此操作被浏览器拒绝！\n请在浏览器地址栏输入“about:config”并回车\n然后将[signed.applets.codebase_principal_support]设置为'true'");
			}
		}else{
			alert("设为首页失败！请您根据您当前的浏览器配置手动添加本页为首页。谢谢！");
		}

		var prefs = Components.classes['@mozilla.org/preferences-service;1'].getService(Components.interfaces.nsIPrefBranch);
		prefs.setCharPref('browser.startup.homepage',url);
	}
}

function addFavorite(sURL, sTitle)  //加入收藏
{
	try {
		window.external.addFavorite(sURL, sTitle);
	}
	catch (e) {
		try {
			window.sidebar.addPanel(sTitle, sURL, "");
		}
		catch (e) {
			alert("加入收藏失败，请使用Ctrl+D进行添加");
		}
	}
}

function LoginSelectClickOther(e){
	var thisObj=e.target?e.target:event.srcElement;
	do{
		if(thisObj.id=="loginFldselect") return;
		// if(thisObj.id=="loginFldselect1") return;
		// if(thisObj.id=="loginFldselect2") return;

		if(thisObj.tagName=="BODY"){
			LoginSelectClose();
			return;
		}

		thisObj=thisObj.parentNode;
	}
	while(thisObj.parentNode);
}

function clickLoginSelect(objid){
	if(document.getElementById(objid).style.display=="block"){
		LoginSelectClose();
	}else{
		document.getElementById("loginFldselectop").style.display="none"; 
		document.getElementById(objid).style.display="block";
		addEvent(document.body,"mouseover",LoginSelectClickOther);
	}
}

function LoginSelectClose(){
	document.getElementById("loginFldselectop").style.display="none";
	delEvent(document.body,"mouseover",LoginSelectClickOther);
}

function LoginSelect(objid, title){
	document.getElementById(objid).innerHTML=title;
	LoginSelectClose();
}

function addEvent(obj,eventType,func){
	if(obj.attachEvent){
		obj.attachEvent("on" + eventType,func);
	}
	else{
		obj.addEventListener(eventType,func,false);
	}
}

function delEvent(obj,eventType,func){
	if(obj.detachEvent){
		obj.detachEvent("on" + eventType,func);
	}
	else{
		obj.removeEventListener(eventType,func,false);
	}
}

function fullscreen(url){
	window.open(url, "", "toolbar=0,location=0, fullscreen=1, directories=0, status=0, menubar=0, scrollbars=0, resizable=0");
}

function op(theURL) {	//v2.0
	var newwindows=window.open(theURL,"视频", "width="+620+", height="+500+", toolbar=no, resizable=yes, status=yes, scrollbars=yes");
	newwindows.focus();
	return false;
}

function chm(sid,pre,all){
	for(i=1;i<=all;i++){
		document.getElementById(pre + "div" + i).style.display="none";
	}
	document.getElementById(pre + "div" + sid).style.display="";
}

function chmc(sid,pre,all,cname){
	for(i=1;i<=all;i++){
		document.getElementById(pre + "m" + i).className=cname + "1";
	}
	document.getElementById(pre + "m" + sid).className=cname + "2";

	for(i=1;i<=all;i++){
		document.getElementById(pre + "div" + i).style.display="none";
	}
	document.getElementById(pre + "div" + sid).style.display="";
}

function cptocb(txt) {
	if(window.clipboardData){
		window.clipboardData.clearData();
		window.clipboardData.setData("Text", txt);
	}
	else if(navigator.userAgent.indexOf("Opera")!=-1){
		window.location = txt;
	} 
	else if(window.netscape){
		try{
			netscape.security.PrivilegeManager.enablePrivilege("UniversalXPConnect");
		} catch (e){
			alert("你使用的FF浏览器,复制功能被浏览器拒绝！\n请在浏览器地址栏输入'about:config'并回车\n然后将'signed.applets.codebase_principal_support'设置为'true'");
		}

		var clip = Components.classes['@mozilla.org/widget/clipboard;1'].createInstance(Components.interfaces.nsIClipboard);
		if(!clip) return;

		var trans = Components.classes['@mozilla.org/widget/transferable;1'].createInstance(Components.interfaces.nsITransferable);
		if(!trans) return;
		trans.addDataFlavor('text/unicode');

		var str = new Object();
		var len = new Object();
		var str = Components.classes["@mozilla.org/supports-string;1"].createInstance(Components.interfaces.nsISupportsString);
		var copytext = txt;
		str.data = copytext;
		trans.setTransferData("text/unicode",str,copytext.length*2);
		var clipid = Components.interfaces.nsIClipboard;
		if(!clip) return false;
		clip.setData(trans,null,clipid.kGlobalClipboard);
	}
}
